Clarity Install/Upgrade Fails During Pre-Checks On Data Warehouse, even when Data Warehouse Is Not Being Used

book

Article ID: 6655

calendar_today

Updated On:

Products

Clarity PPM On Premise

Issue/Introduction

Clarity Install/Upgrade Fails During Pre-Checks On Data Warehouse, even when Data Warehouse Is Not Being Used. 

Cause

Considering a Clarity environment, wherein Data Warehouse is not being used and hence does not have the required Data Warehouse server settings enabled / updated in CSA

However, in Clarity application, under the System Options >> Data Warehouse Options, if the field "Entity for Fiscal Periods", is associated to the entity, during the upgrade, the system will carry out a pre-check, confirming the connectivity to the Data Warehouse database.

Since, the Data Warehouse settings are not enabled in the CSA, the upgrade process fails because it checks for Data Warehouse settings 

Environment

Only valid for Clarity 14.2 to 15.4

 

Starting 15.4, the Data Warehouse is required, even if not used.

Resolution

In order to upgrade under such a situation, the following is the recommended approach:

  • Login to Clarity and navigate to Administration >> System Options >> Data Warehouse Options
  • Under the Data Warehouse Options, remove the entity associated to the field - "Entity for Fiscal Periods"
  • Click on Save
  • Re-do the Clarity Upgrade

Additional Information

Note: If you are not using Data Warehouse you will not need to save in the application also.

 

Attachments